Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class ChiRatioOfUniformsGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.ChiGen
              umontreal.iro.lecuyer.randvar.ChiRatioOfUniformsGen

    public class ChiRatioOfUniformsGen

extends ChiGen

This class implements Chi random variate generators using the ratio of uniforms method with shift.

Constructor Summary
`ChiRatioOfUniformsGen(RandomStream s, ChiDist dist)` Create a new generator for the distribution `dist`, using stream `s`.
`ChiRatioOfUniformsGen(RandomStream s, int nu)` Creates a chi random variate generator with ν = `nu` degrees of freedom, using stream `s`.

Method Summary
`double` | `nextDouble()` Generates a random number from the continuous distribution contained in this object.
`static double` | `nextDouble(RandomStream s, int nu)`

Methods inherited from class umontreal.iro.lecuyer.randvar.ChiGen
`getNu`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChiRatioOfUniformsGen

    public ChiRatioOfUniformsGen(RandomStream s,
                                 int nu)

  Creates a chi random variate generator with ν = `nu` degrees of freedom, using stream `s`.

### ChiRatioOfUniformsGen

    public ChiRatioOfUniformsGen(RandomStream s,
                                 ChiDist dist)

  Create a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public double nextDouble()

  Description copied from class: `RandomVariateGen`
  Generates a random number from the continuous distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextDouble` in class `RandomVariateGen`
  Returns:
    the generated value

### nextDouble

    public static double nextDouble(RandomStream s,
                                    int nu)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.